Bug 990639 - Update information displayed on My Installed Products tab when product is partially subscribed
Update information displayed on My Installed Products tab when product is par...
Status: VERIFIED
Product: Candlepin
Classification: Community
Component: candlepin (Show other bugs)
0.9
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bryan Kearney
IDM QE LIST
:
Depends On:
Blocks: rhsm-rhel66
  Show dependency treegraph
 
Reported: 2013-07-31 11:45 EDT by Matt Reid
Modified: 2015-05-14 12:04 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
No start or end date shown (45.56 KB, image/png)
2013-07-31 11:45 EDT, Matt Reid
no flags Details
Start Date and End date seen (58.56 KB, image/png)
2014-06-10 04:23 EDT, Shwetha Kallesh
no flags Details

  None (edit)
Description Matt Reid 2013-07-31 11:45:11 EDT
Description of problem:
When a product is partially subscribed, we don't show the start/end date for it on the My Installed Products tab. We do in the output of subscription-manager list --consumed. I don't see why we would want to hide those dates, even if it isn't currently fully covered.

Can we display the start/end date in the My Installed Products tab, even when that product is partially subscribed?

Version-Release number of selected component (if applicable):
subscription-manager-1.9.0-1.git

How reproducible:
Always

Steps to Reproduce:
1. Fake socket count with a custom fact
2. Adjust the quantity of a stackable subscription so it won't fully cover your system
3. Go back to the My Installed Products tab

Actual results:
Start/End date of the subscription you just attached are missing from the table and show as blank

Expected results:
To see the start/end date of the subscription I just attached

Additional info:
Comment 1 Matt Reid 2013-07-31 11:45:40 EDT
Created attachment 781202 [details]
No start or end date shown
Comment 2 Carter Kozak 2013-08-20 11:31:30 EDT
This should probably be moved from subman to candlepin.
Comment 3 Carter Kozak 2013-08-21 08:45:20 EDT
commit 94bb778f6de315652966de4d500e0ebd4c89ae86
Author: ckozak <ckozak@redhat.com>
Date:   Mon Aug 19 11:53:40 2013 -0400

    990639: date ranges for partial products
Comment 4 Bryan Kearney 2013-09-26 13:57:43 EDT
990639 candlepin-0.8.21-1
Comment 5 Shwetha Kallesh 2014-06-10 04:23:05 EDT
Created attachment 907092 [details]
Start Date and End date seen

Marking verified!!

[root@dhcp-0-144 ~]# subscription-manager version
server type: Red Hat Subscription Management
subscription management server: 0.9.18-1
subscription-manager: 1.12.1-1.el6
python-rhsm: 1.11.5-1.el6

Note You need to log in before you can comment on or make changes to this bug.